Přišel čas upgradovat váš Prestashop

Před více než půlrokem jsem se ve svém příspěvku zabýval otázkou upgradu Prestashopu , zda má smysl přecházet na nejnovější verzi 1.7 a to hlavně z pohledu verze PHP, lépe řečeno podpory jednotlivých verzí. Byla sice již nějakou dobu k dispozici verze PHP 7.2, nicméně eshop tuto verzi stále nepodporoval. Doporučoval jsem tedy vyčkat na příchod nové verze, která již tuto verzi podporovat bude. Stalo se a nastává doba, kdy už s upgradem nemá smysl příliš otálet.

Hlavní důvody, proč upgradovat:

  • Prestashop končí s podporou PHP 5.6
  • PHP verze 7 přináší velké množství optimalizací, vyšší výkon a menší paměťovou náročnost
  • Končící podpora Prestahop 1.6
  • Prestashop 1.7 je zkrátka novější a podporuje nové technologie

 

Proč Prestashop končí s podporou PHP 5.6

Již nějakou dobu je známo, že PHP 5 už má své dny sečteny, do konce minulého roku už do této verze nepřibývaly žádné nové funkce, pouze se záplatovaly bezpečnostní díry. I to ale k poslednímu dni roku 2018 skončilo a tato verze je tedy oficálně bez podpory, tedy se již dále vyvíjet nebude. Nedává tedy moc smysl udržovat podporu Prestashopu pro tuto již dále nevyvíjenou verzi jazyka a nebyl by to ani příliš dobrý příklad vyslaný všem jeho uživatelům. Zatlačme slzu a podívejme se co přijde nového.

 

PHP 7 a co přináší

Tady toho není třeba příliš psát, jednoduše se jedná v porovnání s PHP 5 o řešení podstatně rychlejší, výkonnější a s menší paměťovou náročností. To ocení nejen váš server, ale i zákazníci. Z tohoto pohledu není třeba s přechodem na cokoliv čekat, pokud můžete, udělejte to ještě dnes, rozdíl je skutečně znatelný.

 

Končící podpora Prestashop 1.6

Od 30. května 2019 končí podpora pro Prestahop 1.6, původně plánovaný termín bylo září, nicméně z důvodu úspěchu verze 1.7 byl tento datum přesunut na květen. Další důvod, proč přemýšlet nad přechodem.

 

Prestashop 1.7 je zkrátka novější a podporuje nové technologie

Nová verze používá WebPack a Symfony, což považuji za dobrý krok, jedná se o momentálně velmi rozšířené technologie. Je také často rychlejší než předchozí verze. S novou verzí ale přicházejí bohužel i negativa. Postupně s každou verzí dochází k přepisování jednotlivých částí eshopu do frameworku Symfony, což s sebou přináší mnohdy kritické chyby, které v minulosti byly již ve verzi 1.6 vyřešeny. Dalším problémem je velké množství chyb při použití multistore, nejeden zákazník si nám v minulosti postěžoval.

 

Přejít nebe zůstat?

I když odpověď stále není jednoznačná, přechod na novou verzi velmi doporučuji. Pokud si budete vědomi omezení nové verze, jako je stále probíhající vývoj a s ním spojené chyby, problémy s multistore, a stavíte nový eshop, pak jednoznačně zvolte novou verzi. Pokud máte funkční eshop a plánujete přechod, počítejte s potřebou vytvořit novou šablonu a případně i nové verze modulů. Z dlouhodobého pohledu ale litovat rozhodně nebudete, pokud tuto počáteční investici podstoupíte, budete moci váš eshop provozovat opět několik let bez dalších velkých investic a věnovat se raději svým zákazníkům.

Napsat komentář

Vaše emailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *